TTYSRV(8)

NAME
ttysrv - connect to a serial port and log output

SYNOPSIS
ttysrv [-o option] [-s sock] [-l log] -t tty [-b baud] [-p parity] [-w wordsize] [-i pidfile]

DESCRIPTION
ttysrv is the backend for rconsole. It connects to the serial port, handles the log file and waits for connections from rconsole to view what's happening on the serial console.

OPTIONS

-t tty
    Specify which device to connect to.

-s sock
    The name of the socket to listen for connections from rconsole on.

-o option
    Specify any ttyios options to open the port with. Currently only nolocal is supported.

-l log
    The logfile to write to. If not set then no log is kept.

-b baud
    Set the baud rate to talk to the port at. Defaults to 9600.

-p parity
    Set the parity for the serial port. Defaults to none.

-w wordsize
    Set the word size for the serial port. Defaults to 8 bits.

-i pidfile
    The file to write the pid of ttysrv to. If not specified no such file is written.

SEE ALSO
rconsole(1), remote-tty(1).

AUTHOR
rtty was written by Paul Vixie <vixie@isc.org>. This manual page was written by Jonathan McDowell <noodles@earth.li> for the Debian project (but may be used by others).